Bug 59633 - Update the spellchecker dictionary for Lithuanian
Summary: Update the spellchecker dictionary for Lithuanian
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.0.1 target:4.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 18:33 UTC by Rimas Kudelis
Modified: 2013-11-17 17:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
The new Lithuanian spellcheck dictionary extension (320.24 KB, application/vnd.openofficeorg.extension)
2013-01-20 18:33 UTC, Rimas Kudelis
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rimas Kudelis 2013-01-20 18:33:23 UTC
Created attachment 73340 [details]
The new Lithuanian spellcheck dictionary extension

We have released a new version of the Lithuanian spellchecker dictionary today. It would be nice if its files ended up in http://cgit.freedesktop.org/libreoffice/dictionaries/tree/lt_LT too.
Comment 1 Rimas Kudelis 2013-01-23 12:42:01 UTC
Andras, can you take care of this?
Comment 3 Rimas Kudelis 2013-01-23 13:26:00 UTC
Seems so. I wasn't aware that Aurimas was on it.

Do we close this as fixed or as a duplicate?
Comment 4 Andras Timar 2013-01-23 13:27:10 UTC
Fixed, see comment 2.
Comment 5 Rimas Kudelis 2013-01-23 13:36:54 UTC
hm, I would prefer the version number to say 1.3 if that's still possible.

I believe the version number 2008.07.01 was a mistake introduced by that extension's initial submitter. That is not the versioning scheme the ispell-lt project uses.
Comment 6 Andras Timar 2013-01-23 20:39:15 UTC
(In reply to comment #5)
> hm, I would prefer the version number to say 1.3 if that's still possible.
> 
> I believe the version number 2008.07.01 was a mistake introduced by that
> extension's initial submitter. That is not the versioning scheme the
> ispell-lt project uses.

Will you bump it when you change hyphenation dictionary? It is the version of the whole extension, not only the spellchecker dictionary,
Comment 7 Rimas Kudelis 2013-01-23 21:05:40 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > hm, I would prefer the version number to say 1.3 if that's still possible.
> > 
> > I believe the version number 2008.07.01 was a mistake introduced by that
> > extension's initial submitter. That is not the versioning scheme the
> > ispell-lt project uses.
> 
> Will you bump it when you change hyphenation dictionary? It is the version
> of the whole extension, not only the spellchecker dictionary,

Heh, good question. :-)

First of all, these hyphenation patterns haven't been touched in years. They are pretty solid. However, we keep them in the same source repository of the ispell-lt project (see [1]), so my guess is, if we would update them significantly enough to mandate a new release, it would most probably mean a new release for the spelling dictionaries as well.

In fact, last year I've edited ispell-lt's makefile and added means to generate the openoffice/libreoffice extension simply by issuing `make dist-oxt` (or `make dists`, see [2]) in the directory where the code was checked out/tarball unpacked. That command generates the extension I've attached to this bug, and that extension includes both the spelling dictionaries and the hyph patterns. And it carries the same version as that of the spelling dictionaries.

So, I think the answer to your question would be "yes". Although more likely it's just "Not applicable". :)

[1] http://bazaar.launchpad.net/~ispell-lt/ispell-lt/trunk/files/head:/etc/hyph/
[2] http://bazaar.launchpad.net/~ispell-lt/ispell-lt/trunk/view/head:/Makefile#L445
Comment 8 Not Assigned 2013-01-23 21:12:30 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=840f170138e5dd2237bb7170916ae305bb2536ad&h=libreoffice-4-0

change vesrion number to 1.3 by request of maintaners, fdo#59633


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2013-01-23 21:12:48 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=0aeb113339d2bdeb0cb7fe3a9a2b1ae1c3fd9367

change vesrion number to 1.3 by request of maintaners, fdo#59633



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Rimas Kudelis 2013-01-24 09:07:49 UTC
Thank you!